<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "salemain";
$trandb = "saletran";
$formname = "Sale Register";
$file = "salereg.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {

    $party = $_POST[party];
    $broker = $_POST[broker];
    $item = $_POST[item];
    $godown = $_POST[godown];
    $mtype = $_POST[mtype];
    $frmdt = $_POST[frmdt];
    $todt = $_POST[todt];

    $partycond = "";
    $brokcond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";
    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($broker)) {
        $brokcond = " AND `broker`='$broker' ";
    }

    if (!empty($item)) {
        $itemcond = " AND `name`='$item' ";
    }

    if (!empty($godown)) {
        $godowncond = " AND `godown`='$godown' ";
    }


    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (!empty($mtype)) {
        $mtypecond = " AND `type`='$mtype' ";
    }
// print "SELECT * FROM `$maindb` WHERE `vouchno`!='' $partyname $broker $transpor $item $godown $mtype";
    $getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $maindb where `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate'
             $partycond $itemcond $godowncond $mtypecond $brokcond")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>

    </head>
    <body>
        <div class="container">
            <div class="row">
                <?php include("includes/head_rep.php"); ?>
                <div class="col-lg-12 pad">
                    <table style="width:100%;background: white" class="table table-condensed table-hover">
                        <thead>
                            <tr style="height:10px;background-color: #1ABC9C">
                                <th>Sr</th>
                                <th>Invoice No</th>
                                <th>Date</th>
                                <th>Party</th>
                                <th class="numeric">Amount</th>
                                <th class="numeric">Discount</th>
                                <th class="numeric">Freight</th>
    <!--                            <th class='numeric'>Qty</th>-->
                                <th class="numeric">Net Amount</th>                            
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $subtot = 0;
                            $totdisc = 0;
                            $totfr = 0;
                            $totqty1 = 0;
                            $totnet = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getmtype = mysqli_query($conn, "SELECT name FROM `type` WHERE `code`='$pmain[type]'")or die(mysqli_error($conn));
                                $mtype = mysqli_fetch_array($getmtype);

                                $getcustomer = mysqli_query($conn, "SELECT name FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
                                $mcust = mysqli_fetch_array($getcustomer);

                                $getmqty = mysqli_query($conn, "SELECT SUM(invqty)as totqty FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                $mqty = mysqli_fetch_array($getmqty);
                                $ctr++;
                                Echo "<tr>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[invno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$mcust[name]</td>";
                                Echo "<td class='numeric'>$pmain[subtotal]</td>";
                                Echo "<td class='numeric'>$pmain[discount]</td>";
                                Echo "<td class='numeric'>$pmain[freight]</td>";
//                                Echo "<td class='numeric'>$mqty[totqty]</td>";
//                            Echo "<td class='numeric'>$mqty[totqty]</td>";
                                Echo "<td class='numeric'>$pmain[netamt]</td>";
                                Echo "</tr>";
                                Echo "<tr>";

                                $subtot = $subtot + $pmain[subtotal];
                                $totdisc = $totdisc + $pmain[discount];
                                $totfr = $totfr + $pmain[freight];
                                $totqty1 = $totqty1 + $mqty[totqty];
                                $totnet = $totnet + $pmain[netamt];

                                if ($_POST["dtype"] == 2) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' class='table table-condensed table-hover'>";
                                    Echo "<th style='background-color: #cccccc'>Sr</th>";
                                    Echo "<th style='background-color: #cccccc'>Brand/Logo</th>";
                                    Echo "<th style='background-color: #cccccc'>Code</th>";
                                    Echo "<th style='background-color: #cccccc'>Description</th>";
                                    Echo "<th style='background-color: #cccccc' class='numeric'>Qty</th>";
                                    Echo "<th style='background-color: #cccccc' class='numeric'>Bale Qty.(Kgs)</th>";
                                    Echo "<th style='background-color: #cccccc' class='numeric'>Tot. Qty.(Kgs)</th>";
                                    Echo "<th style='background-color: #cccccc' class='numeric'>Rate</th>";
                                    Echo "<th style='background-color: #cccccc' class='numeric'>Amount</th>";
                                    Echo "</tr>";

                                    $ctr2 = 0;
                                    $totqty = 0;
                                    $totamt = 0;
                                    $totinv = 0;
                                    $totdtqty = 0;
                                    $totdtinv = 0;
                                    $totdtamt = 0;
                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getbrand = mysqli_query($conn, "SELECT * FROM `brand` WHERE `code`='$tran[brand]'")or die(mysqli_error($conn));
                                        $mbrand = mysqli_fetch_array($getbrand);

                                        $finditem = mysqli_query($conn, "SELECT * FROM `item` WHERE `barcode`='$tran[itemcode]'") or die(mysqli_error($conn));
                                        $fitem = mysqli_fetch_array($finditem);

                              
                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
                                        Echo "<td>$mbrand[name]</td>";
                                        Echo "<td>$fitem[code]</td>";
                                        Echo "<td>$fitem[name]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
                                        Echo "<td class='numeric'>$tran[baleqty]</td>";
                                        Echo "<td class='numeric'>$tran[totqty]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "</tr>";
                                        $totqty = $totqty + $tran['qty'];
                                        $totdtqty = $totdtqty + $tran['totqty'];
                                        $totdtinv = $totdtinv + $tran['baleqty'];
                                        $totdtamt = $totdtamt + $tran['amount'];
//                                        $totqty1 = $totqty1 + $tran[totqty];
                                    }
                                    Echo "</table>";
                                    Echo "</td>";
                                }
                                if ($_POST["dtype"] == 2) {
                                    echo "<tr>";
                                    echo "<td></td>";
                                    echo "<td></td>";
                                    echo "<td></td>";
                                    echo "<td><h4><b>Total Qty.</b></h4></td>";
                                    echo "<td align='right' id='font'><h4><b>$totqty</b></h4></td>";
                                    echo "<td></td>";
                                    echo "<td align='' id='font'><h4><b>$totdtinv</b></h4></td>";
                                    echo "<td align='right' id='font'><h4><b>$totdtqty</b></h4></td>";
                                    echo "<td></td>";
                                    echo "<td align='right' id='font'><h4><b>$totdtamt</b></h4></td>";
                                    echo "</tr>";
                                }
                            }

                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";

                            echo "<td><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' id='font'><h4><b>$subtot</b></h4></td>";
                            echo "<td align='right' id='font'><h4><b>$totdisc</b></h4></td>";
                            echo "<td align='right' id='font'><h4><b>$totfr</b></h4></td>";
                            echo "<td align='right' id='font'><h4><b>$totqty1</b></h4></td>";
                            echo "<td align='right' id='font'><h4><b>$totnet</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $party = $_POST['party'];
    $item = $_POST['item'];
    $godown = $_POST['godown'];
    $mtype = $_POST['mtype'];
    $frmdt = $_POST['frmdt'];
    $todt = $_POST['todt'];

    $partycond = "";
    $brokercond = "";
    $transportcond = "";
    $itemcond = "";
    $godowncond = "";
    $mtypecond = "";
    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    if (!empty($item)) {
        $itemcond = " AND `name`='$item' ";
    }

    if (!empty($godown)) {
        $godowncond = " AND `godown`='$godown' ";
    }


    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (!empty($mtype)) {
        $mtypecond = " AND `type`='$mtype' ";
    }
// print "SELECT * FROM `$maindb` WHERE `vouchno`!='' $partyname $broker $transpor $item $godown $mtype";
    $getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM $maindb where `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate'
             $partycond $itemcond $godowncond $mtypecond")or die(mysqli_error($conn));

    $contents .= "Sr,Type,Invoice No.,Date,Customer,Amount,Discount,Freight,Qty.,Net Amount\n";

    $ctr = 0;
    $subtot = 0;
    $totdisc = 0;
    $totfr = 0;
    $totqty1 = 0;
    $totnet = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getmtype = mysqli_query($conn, "SELECT name FROM `type` WHERE `code`='$pmain[type]'")or die(mysqli_error($conn));
        $mtype = mysqli_fetch_array($getmtype);

        $getcustomer = mysqli_query($conn, "SELECT name FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        $mcust = mysqli_fetch_array($getcustomer);

        $getmqty = mysqli_query($conn, "SELECT SUM(qty)as totqty FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
        $mqty = mysqli_fetch_array($getmqty);
        $ctr++;

        $mctr = $ctr;
        $mtype = $mtype['name'];
        $minvno = $pmain['invno'];
        $mmydt = $pmain['mydt'];
        $mname = $mcust['name'];
        $msubtotal = $pmain['subtotal'];
        $mdiscount = $pmain['discount'];
        $mfreight = $pmain['freight'];
        $mtotqty = $pmain['totqty'];
        $mnetamt = $pmain['netamt'];

        $contents .= $mctr . ",";
        $contents .= $mtype . ",";
        $contents .= $minvno . ",";
        $contents .= $mmydt . ",";
        $contents .= $mname . ",";
        $contents .= $msubtotal . ",";
        $contents .= $mdiscount . ",";
        $contents .= $mfreight . ",";
        $contents .= $mtotqty . ",";
        $contents .= $mnetamt . "\n";

        $subtot = $subtot + $pmain['subtotal'];
        $totdisc = $totdisc + $pmain['discount'];
        $totfr = $totfr + $pmain['freight'];
        $totqty1 = $totqty1 + $mqty['totqty'];

        $totnet = $totnet + $pmain['netamt'];

        if ($_POST["dtype"] == 2) {
            $contents .= "Sr,Brand,Item Name,Taka,Qty.,Tot. Qty.,Flag,Flag Qty.,Inv. Qty.,Rate,Amount\n";

            $ctr2 = 0;
            $totqty = 0;
            $totamt = 0;
            $totinv = 0;
            $totdtqty = 0;
            $totdtinv = 0;
            $totdtamt = 0;
            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getbrand = mysqli_query($conn, "SELECT * FROM `brand` WHERE `code`='$tran[brand]'")or die(mysqli_error($conn));
                $mbrand = mysqli_fetch_array($getbrand);

                $getitem = mysqli_query($conn, "SELECT * FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                $mitem = mysqli_fetch_array($getitem);

                $ctr2++;

                $ctr2;
                $mmbname = $mbrand['name'];
                $mminame = $mitem['name'];
                $mmtaka = $tran['taka'];
                $mmqty = $tran['qty'];
                $mmtotqty = $tran['totqty'];
                $mmflag = $tran['flag'];
                $mmflagqty = $tran['flagqty'];
                $mminvqty = $tran['invqty'];
                $mmrate = $tran['rate'];
                $mmamount = $tran['amount'];

                $contents .= $ctr2 . ",";
                $contents .= $mmbname . ",";
                $contents .= $mminame . ",";
                $contents .= $mmtaka . ",";
                $contents .= $mmqty . ",";
                $contents .= $mmtotqty . ",";
                $contents .= $mmflag . ",";
                $contents .= $mmflagqty . ",";
                $contents .= $mminvqty . ",";
                $contents .= $mmrate . ",";
                $contents .= $mmamount . "\n";

                $totdtqty = $totdtqty + $tran['totqty'];
                $totdtinv = $totdtinv + $tran['invqty'];
                $totdtamt = $totdtamt + $tran['amount'];
            }
        }
//        if ($_POST["dtype"] == 2) {
//            echo "<tr> ";
//            echo "<td></td>";
//            echo "<td></td>";
//            echo "<td></td>";
//            echo "<td></td>";
//            echo "<td><h4><b>Total Qty.</b></h4></td>";
//            echo "<td align='right' id='font'><h4><b>$totdtqty</b></h4></td>";
//            echo "<td></td>";
//            echo "<td align='right' id='font'><h4><b>$totdtinv</b></h4></td>";
//            echo "<td></td>";
//            echo "<td></td>";
////                                    echo "<td align='right' id='font'><h4><b>$totdtamt</b></h4></td>";
//            echo "</tr>";
//        }
    }

    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . "Total" . ",";
    $contents .= number_format($subtot, 2, '.', '') . ",";
    $contents .= number_format($totdisc, 2, '.', '') . ",";
    $contents .= number_format($totqty1, 2, '.', '') . ",";
    $contents .= number_format($totnet, 2, '.', '') . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>